Skip to main content
PUT
/
seller
/
delivery-options
Update configuration
curl --request PUT \
  --url https://api.managem.co.uk/seller/delivery-options \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "LARGE_LETTER",
  "classifications": [
    "CARD"
  ],
  "steps": [
    {
      "cost": 1,
      "weight": 1
    }
  ]
}
'
[
  {
    "id": "default-large_letter",
    "type": "LARGE_LETTER",
    "classifications": [
      "CARD",
      "PACK"
    ],
    "steps": [
      {
        "cost": 300,
        "weight": 750
      }
    ]
  },
  {
    "id": "default-small_parcel",
    "type": "SMALL_PARCEL",
    "classifications": [
      "CARD",
      "PACK",
      "BOX",
      "DECK"
    ],
    "steps": [
      {
        "cost": 400,
        "weight": 2000
      }
    ]
  },
  {
    "id": "default-medium_parcel",
    "type": "MEDIUM_PARCEL",
    "classifications": [
      "CARD",
      "PACK",
      "BOX",
      "DECK",
      "CASE"
    ],
    "steps": [
      {
        "weight": 2000,
        "cost": 570
      },
      {
        "weight": 10000,
        "cost": 750
      },
      {
        "weight": 20000,
        "cost": 1200
      }
    ]
  },
  {
    "id": "default-large_parcel",
    "type": "LARGE_PARCEL",
    "classifications": [
      "CARD",
      "PACK",
      "BOX",
      "DECK",
      "CASE",
      "MISCELLANEOUS"
    ],
    "steps": [
      {
        "weight": 5000,
        "cost": 1200
      },
      {
        "weight": 10000,
        "cost": 1450
      },
      {
        "weight": 20000,
        "cost": 1800
      },
      {
        "weight": 30000,
        "cost": 2400
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Values used to configure seller shipping configuration and costs

type
enum<string>
required

The configured package type

Available options:
LARGE_LETTER
classifications
enum<string>[]
required
Available options:
CARD
steps
object[]
required

Response

Updated package configuration

type
enum<string>
required

The configured package type

Available options:
LARGE_LETTER
classifications
enum<string>[]
required
Available options:
CARD
steps
object[]
required
id
string
required

Unique identifier for the configuration